home *** CD-ROM | disk | FTP | other *** search
- ;TIP589.LSP Invisible 3D Face Edges (c)1990 Paul Sherwood
- (defun c:inviface ()
- (setvar "cmdecho" 0)
- (setq ALL nil)
- (initget 1 "Y y N n")
- (setq ALL (getkword
- "\nAll 3D faces on layer to be invisible? (Y/N):"))
- (setq ALL (strcase ALL))
- (if (= ALL "Y")
- (progn ;select by layer
- (setq INLAY (strcase (getstring "Enter layer name: ")))
- (setq FACES (ssget "X" (list (cons 0 "3DFACE")
- (cons 8 INLAY))))
- (setq INDX (sslength FACES))
- )
- (progn ;select by picking
- (prompt "Pick 3D faces...")
- (setq FACES (ssget)
- INDX (sslength FACES)
- )
- )
- )
- (prompt "\nworking")
- (while (> INDX 0)
- (prompt "a")
- (setq ASLIST (ssname FACES (1- INDX))
- ENTITY (entget ASLIST)
- )
- (while (= (cdr (assoc 0 ENTITY)) "ENTITY")
- (progn
- (prompt "b")
- (setq ENTITY (subst (cons 70 15)(assoc 70 ENTITY) ENTITY)
- INDX (1- INDX)
- )
- (entmod ENTITY)
- )
- (setq INDX (1- INDX))
- )
- )
- (princ)
- )
-